| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
LPC8xx Self Wakeup Timer (WKT) example
Peripheral examples

## Detailed Description

Example description
The WKT example demonstrates using the Wake-up timer to wake-up the MCU from low power states.
When PIO0_6 pin is set to LOW level, the tests will be executed. The application will demonstrate the following 4 sequential low power states:
MCU_SLEEP,
MCU_DEEP_SLEEP,
MCU_POWER_DOWN,
MCU_DEEP_POWER_DOWN
The Red LED on the board will be toggling before the MCU enters low power state & after it wakes up from the low power state.

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC8xx example quickstart for IAR EWARM
LPC8xx example quickstart for Keil uVision4
LPC8xx example quickstart for Code Red Xpresso

Supported boards and board setup:
NXP Xpresso LPC812 board

Submitting LPCOpen issues:
Community support for LPCOpen

## Macros
#define | TICKRATE_HZ (10)/* 10 tick per second */
#define | WAKEUP_COUNT_5s (5 * 10000) /* 5 seconds (using 10Khz clock) */

## Functions
void | WKT_IRQHandler (void)
| Handle interrupt from Wake-up timer.
int | main (void)
| main routine for wake-up timer example

## Macro Definition Documentation

#define TICKRATE_HZ (10)/* 10 tick per second */

Definition at line 68 of file wkt.c.

#define WAKEUP_COUNT_5s (5 * 10000) /* 5 seconds (using 10Khz clock) */

Definition at line 70 of file wkt.c.

## Function Documentation

int main | ( | void |  | ) |

main routine for wake-up timer example

Main program body.

Returns
  Function should not exit

defined(CHIP_LPC175X_6X)

Definition at line 97 of file wkt.c.

void WKT_IRQHandler | ( | void |  | ) |

Handle interrupt from Wake-up timer.

Returns
  Nothing

Definition at line 88 of file wkt.c.